GXS Internal
Identity serverAPI reference

Multi-session

GET
/multi-session/list-device-sessions

Authorization

bearerAuth
headerAuthorizationBearer <token>

Bearer token authentication

Response Body

Bad Request. Usually due to missing parameters, or invalid parameters.

application/json
  1. response
message*string
curl -X GET 'https://dev.auth.graphxserver.io/api/auth/multi-session/list-device-sessions'
{  "message": "string"}
POST
/multi-session/set-active

Authorization

bearerAuth
headerAuthorizationBearer <token>

Bearer token authentication

Request Body

application/json
  1. body
sessionToken*string

The session token to set as active

Response Body

Success

application/json
  1. response
session?
curl -X POST 'https://dev.auth.graphxserver.io/api/auth/multi-session/set-active' \  -H 'Content-Type: application/json' \  -d '{  "sessionToken": "string"}'
{  "session": {    "id": "string",    "expiresAt": "2019-08-24T14:15:22Z",    "token": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "ipAddress": "string",    "userAgent": "string",    "userId": "string",    "impersonatedBy": "string",    "activeOrganizationId": "string",    "activeTeamId": "string"  }}

/multi-session/revoke

POST
/multi-session/revoke

Authorization

bearerAuth
headerAuthorizationBearer <token>

Bearer token authentication

Request Body

application/json
  1. body
sessionToken*string

The session token to revoke

Response Body

Success

application/json
  1. response
status?boolean
curl -X POST 'https://dev.auth.graphxserver.io/api/auth/multi-session/revoke' \  -H 'Content-Type: application/json' \  -d '{  "sessionToken": "string"}'
{  "status": true}